Skip to Content
avatar image
Former Member

Upgrade RS 15.7.1 GA to RS 15.7.1 SP 101 or Above on AIX

Yesterday in AIX 7.1 we installed first RS 15.7.1 GA version after that we installed RS 15.7.1 SP 100 and received error:

rtld: 0712-001 Symbol RCISetCnctrAttr__13BaseConnectorFiPvT1 was referenced  from module repserver(), but a runtime definition  of the symbol was not found.

rtld: 0712-001 Symbol RCIPrepare__13BaseConnectorFPvPciT2T3T2N23PP7CMD_VALT3PiT3PUcN211_ was referenced  from module repserver(), but a runtime definition  of the symbol was not found.

rtld: 0712-001 Symbol getOpenQuoteSpecial__13BaseConnectorFv was referenced  from module repserver(), but a runtime definition  of the symbol was not found.rtld: 0712-001 Symbol getCloseQuoteSpecial__13BaseConnectorFv was referenced  from module repserver(), but a runtime definition  of the symbol was not found.

rtld: 0712-001 Symbol RCIInitCallHandler__13BaseConnectorFP20ci_connection_handleiP19_rci_call_rs_config was referenced  from module repserver(), but a runtime definition  of the symbol was not found.

rtld: 0712-001 Symbol RCILockTables__13BaseConnectorFPQ2_9Connector14RCICallHandlerPQ2_9Connector13RCIParamArray was referenced  from module repserver(), but a runtime definition  of the symbol was not found.

rtld: 0712-001 Symbol RCIInsertLocation__13BaseConnectorFPQ2_9Connector14RCICallHandlerPQ2_9Connector13RCIParamArrayN52 was referenced  from module repserver(), but a runtime definition  of the symbol was not found.

Any clue, what is going wrong here.

The command that was executed is,

INCLUDE='/opt/sybase_Rs/OCS-15_0/include:$INCLUDE'
export INCLUDE
SYBASE_OCS='OCS-15_0'
export SYBASE_OCS
SYBASE_REP='REP-15_5'
export SYBASE_REP
LIB='/opt/sybase_Rs/OCS-15_0/lib:$LIB'
export LIB
LIBPATH='/opt/sybase_Rs/REP-15_5/lib64:/opt/sybase_Rs/REP-15_5/lib3p64/log4cxx/lib:/opt/sybase_Rs/REP-15_5/connector/lib:/opt/sybase_Rs/OCS-15_0/lib:/opt/sybase_Rs/OCS-15_0/lib3p64:/opt/sybase_Rs/OCS-15_0/lib3p:$LIBPATH'
export LIBPATH
SYBASE='/opt/sybase_Rs'
export SYBASE
PATH='/opt/sybase_Rs/REP-15_5/bin:/opt/sybase_Rs/OCS-15_0/bin:/app/clarity/dagent/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin'
export PATH
/opt/sybase_Rs/REP-15_5/bin/repserver -upgr -e -SSYB157_REP1 -C/opt/sybase_Rs/REP-15_5/SYB157_REP1/SYB157_REP1.cfg -E/opt/sybase_Rs/REP-15_5/SYB157_REP1/SYB157_REP1.log -I/opt/sybase_Rs/interfaces -A/opt/sybase_Rs/REP-15_5/ASA12
OS is AIX 7.1
Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Feb 20 at 07:06 PM

    Typically SAP/Sybase binaries are full products.

    Unless the documentation (ReadMe, Relase notes, etc) advise so you do not have to go GA + Upgrade route.

    So you could install RS 15.7.1 SP101 directly rather than taking a GA + Upgrade route.

    Were you advised specifically by SAP tech support to take the steps of GA install and then Upgrade ?

    What I found with AIX is that the installs pose challenges because AIX does not let go of some handles until boot time.

    Also check for specific patches needed if any by opening a support case.

    Remove all folders for RS, do an AIX shutdown and then install RS 15.7.1 SP101 directly.

    FYI :

    RS 15.7.1 is flagged for EOMM by 2018.

    So if this is a brand new install, you can jump forward and go for RS 16 (latest version)

    HTH

    Avinash

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 05 at 03:31 PM

    Please see KBA 2410712

    https://launchpad.support.sap.com/#/notes/2410712



    As Avinsah mentioned, SRS 15.7/15.7.1 is EoMM 12/31/2108. If you are installing a new SRS, I would suggest the latest SRS 16.0 SP03PL03.

    Add comment
    10|10000 characters needed characters exceeded